%define pkg_name        Ima-DBI
%define pkg_version     0.35
%define rpm_pkg_version 0.35
%define rpm_pkg_release 1.n0i.14

Summary:       Database connection caching and organization
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::Data::Inheritable) >= 0.02
BuildRequires: perl(DBI) >= 1.2
BuildRequires: perl(DBIx::ContextualFetch) >= 1
Requires:      perl(Class::Data::Inheritable) >= 0.02
Requires:      perl(DBIx::ContextualFetch) >= 1


%description
Ima::DBI attempts to organize and facilitate caching and more efficient
use of database connections and statement handles by storing DBI and SQL
information with your class (instead of as separate objects).
This allows you to pass around just one object without worrying
about a trail of DBI handles behind it.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Jun 11 2007 Marius FERARU <altblue@n0i.net> - 0.35-1.n0i.14
- version 1.35
- obsoleted perl-Ima-DBI-0.34-no_cache_if_active.patch

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.34-3.n0i.13
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Feb 22 2007 Marius FERARU <altblue@n0i.net> - 0.34-2.n0i.12
- plugged MSCHWERN's "no cache if active" patch

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 0.34-1.n0i.11
- version 0.34

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.33-9.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Wed Mar 30 2005 Marius Feraru <altblue@n0i.net> 0.33-8.n0i.9
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0.33-7.n0i.8
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0.33-6.n0i.7
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0.33-5.n0i.6
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0.33-4.n0i.5
- version 0.33
- spec updates
- added new DBIx::ContextualFetch build-requirement
- added requirements which are undetected by rpm req system

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0.31-3.n0i.4
- automatic rebuild (perl v.5.8.3)

* Sat Jan 10 2004 Marius FERARU <altblue@n0i.net> 0.31-2.n0i.3
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)
- added BuildRequires

* Thu Oct 23 2003 Marius FERARU <altblue@n0i.net> 0.31-1.n0i.2
- version 0.31
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.29-0.n0i.1
- version 0.29
